/*
	Copyright (c) 2004-2012, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["extensions.VisibleLayers"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["extensions.VisibleLayers"] = true;
dojo.require("extensions.VisibleLayers.tab");
dojo.require("extensions.VisibleLayers.RemoveLayerControl");

dojo.provide("extensions.VisibleLayers");
dojo.declare('VisibleLayers', null, {
	// Executed when GeoMOOSE is starting after UI loaded, before Mapbook loaded.
	load: function() {
		var tab = new extensions.VisibleLayers.tab();
		GeoMOOSE.addTab('visible_layers_tab', tab);
	}
});

GeoMOOSE.UX.register('VisibleLayers');

}
